/* This file is part of The_Merry_Turnip
 * 
 * The_Merry_Turnip - TODO: Description
 * Copyright © DAVY Guillaume 2009 <davyg2@gmail.com>
 * 
 * The_Merry_Turnip is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * The_Merry_Turnip is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/*!	\file pyInt.h
	\brief Definition of class pyInt
*/

#ifndef __PYINT_H_INCLUDED__
#define __PYINT_H_INCLUDED__

//!Class containing all the stuff to use python
class pyInt : public base
{
public:
	//! Constructor
	pyInt();
	
	//! Destructor
	~pyInt();

	//! Init the interface
	int init(coeur*);

	//! Updating(should be call on each loop)
	int update();
	
	//! Close the base
	int close();
	
	//! Called when an event occured
	bool OnEvent(const SEvent&);
	
	//! Run a python command
	stringw eval(stringw);
	
	//! Run a python script
	int exec(stringw);
	
	//! Add a variable to python envirronement
	int addPyEnv(stringc,object);
private:
	//! Dictionnary for python wrapper
	object dict;
	
	//! Main module for python wrapper
	object main_module;
};// End class pyInt

#endif //__PYINT_H_INCLUDED__

