

class startmenu : public IEventReceiver
{
public:
	startmenu();
	~startmenu();

	int init(stringc,stringc);
	int update();
	int close();
	
	int progress();

	position2d<s32> getCurPos();

	u32 getTime();
	
	stringc getVersion();

	int setCaption(stringw);

	virtual bool OnEvent(const SEvent&);
	
	IFileSystem* getFileSystem();
private:
	
	int log(stringc);
	
	int startCoeur();
	
	int loadDesc();
	
	int saveConfig();

	IrrlichtDevice *device;
	IVideoDriver* driver;
	ISceneManager* smgr;
	IGUIEnvironment* env;
	
	E_DRIVER_TYPE dr;
	dimension2d<s32> dim;
	int bits;
	bool fullscreen;
	bool stencilbuffer;
	bool vsync;
	int lang;
	
	stringc langMenu;

	bool q;

	position2d<s32> curPos;
	
	coeur* c;
	
	stringc path;
	stringc pathConfig;
	stringc pathStart;
	stringc pathMain;
	
	bool start;
	
	std::vector<IGUIButton*>* menus;
	std::vector<ITexture*>* menusOut;
	std::vector<ITexture*>* menusIn;
	
	IGUIImage* welcome;
	IGUIImage* game;
	IGUIImage* options;
	IGUIImage* starting;
	
	IGUIEditBox* game_path;
	IGUIImage* game_img;
	IGUIStaticText* game_name;
	IGUIStaticText* game_text;
	
	IGUIComboBox* options_dv;
	IGUIComboBox* options_res;
	IGUICheckBox* options_fs;
	IGUIComboBox* options_lang;

	IGUIStaticText* starting_text;
	IGUIImage* starting_bar;
	std::vector<stringw>* starting_txt;
	unsigned int progressing;

#ifdef AUDIO
	ISoundEngine* engine;
#endif
};

